gem release of io-console is broken on Windows
Description

Nobu-san,

Lot of folks are having issues with latest io-console gem that got released:

https://github.com/nobu/io-console/issues/6

https://groups.google.com/d/topic/rubyinstaller/9qbj5HKN7w4/discussion

The code in the GitHub repository is 3 years old, so I can't provide a pull request that patches the behavior.

I'm not sure where the code that is part of the gem is coming from, since io-console compiles without issues as part of Ruby

extensions.

I'm opening this here due the lack of feedback on GitHub issues and the raise of more reports about this issue.

Thank you.

Associated revisions

Revision 44c24d4416a9c3f36010dcf0593e5dce21183d19 - 02/16/2013 03:46 AM - nobu (Nobuyoshi Nakada)

io/console: compatibility with 1.9

ext/io/console/console.c (rawmode_opt, console_dev): compatibility

with ruby 1.9.  [ruby-core:52220] [Bug #7847]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@39268 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 44c24d44 - 02/16/2013 03:46 AM - nobu (Nobuyoshi Nakada)

io/console: compatibility with 1.9

ext/io/console/console.c (rawmode_opt, console_dev): compatibility

with ruby 1.9.  [ruby-core:52220] [Bug #7847]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@39268 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 78b50f26dc14fddeeafae5121b6cd97be735680d - 02/16/2013 04:13 AM - nobu (Nobuyoshi Nakada)

io/console: 0.4.2

ext/io/console/io-console.gemspec: bump to 0.4.2.  now explicitly

requires ruby 1.9.3 or later.  [Bug #7847]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@39272 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 78b50f26 - 02/16/2013 04:13 AM - nobu (Nobuyoshi Nakada)

io/console: 0.4.2

ext/io/console/io-console.gemspec: bump to 0.4.2.  now explicitly

requires ruby 1.9.3 or later.  [Bug #7847]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@39272 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History
https://github.com/nobu/io-console/issues/6
https://groups.google.com/d/topic/rubyinstaller/9qbj5HKN7w4/discussion


#1 - 02/16/2013 12:46 PM - nobu (Nobuyoshi Nakada)

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

This issue was solved with changeset r39268.

Luis, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.

May Ruby be with you.

io/console: compatibility with 1.9

ext/io/console/console.c (rawmode_opt, console_dev): compatibility

with ruby 1.9.  [ruby-core:52220] [Bug #7847]

#2 - 02/20/2013 09:35 PM - luislavena (Luis Lavena)

- Status changed from Closed to Open

Thank you Nobu.

Can you release io-console 0.4.2 to rubygems.org?

That will fix the situation for users running 1.9.3.

Thank you.

#3 - 02/26/2013 10:19 AM - naruse (Yui NARUSE)

- Target version changed from 1.9.3 to 2.6

#4 - 08/07/2013 12:23 PM - naruse (Yui NARUSE)

- Status changed from Open to Closed

http://rubygems.org/gems/io-console/versions/0.4.2 is released at February 16, 2013.
